Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.hubservices.core.v2
Class ConsentHCPartyType

    java.lang.Object
      be.fgov.ehealth.hubservices.core.v2.ConsentHCPartyType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2020-03-19T04:11:42+01:00",
               comments="JAXB RI v2.2.11")
    public class ConsentHCPartyType

extends Object
implements Serializable

Java class for ConsentHCPartyType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsentHCPartyType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="hcparty" type="{http://www.ehealth.fgov.be/hubservices/core/v2}HCPartyIdType"/>
             <element name="signdate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="revokedate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="author" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}authorType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsentHCPartyType()`

Method Summary
`AuthorType` | `getAuthor()` Gets the value of the author property.
`HCPartyIdType` | `getHcparty()` Gets the value of the hcparty property.
`org.joda.time.DateTime` | `getRevokedate()` Gets the value of the revokedate property.
`org.joda.time.DateTime` | `getSigndate()` Gets the value of the signdate property.
`void` | `setAuthor(AuthorType value)` Sets the value of the author property.
`void` | `setHcparty(HCPartyIdType value)` Sets the value of the hcparty property.
`void` | `setRevokedate(org.joda.time.DateTime value)` Sets the value of the revokedate property.
`void` | `setSigndate(org.joda.time.DateTime value)` Sets the value of the signdate property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsentHCPartyType

    public ConsentHCPartyType()

Method Detail

### getHcparty

    public HCPartyIdType getHcparty()

  Gets the value of the hcparty property.

  Returns:
    possible object is `HCPartyIdType`

### setHcparty

    public void setHcparty(HCPartyIdType value)

  Sets the value of the hcparty property.

  Parameters:
    `value` - allowed object is `HCPartyIdType`

### getSigndate

    public org.joda.time.DateTime getSigndate()

  Gets the value of the signdate property.

  Returns:
    possible object is `String`

### setSigndate

    public void setSigndate(org.joda.time.DateTime value)

  Sets the value of the signdate property.

  Parameters:
    `value` - allowed object is `String`

### getRevokedate

    public org.joda.time.DateTime getRevokedate()

  Gets the value of the revokedate property.

  Returns:
    possible object is `String`

### setRevokedate

    public void setRevokedate(org.joda.time.DateTime value)

  Sets the value of the revokedate property.

  Parameters:
    `value` - allowed object is `String`

### getAuthor

    public AuthorType getAuthor()

  Gets the value of the author property.

  Returns:
    possible object is `AuthorType`

### setAuthor

    public void setAuthor(AuthorType value)

  Sets the value of the author property.

  Parameters:
    `value` - allowed object is `AuthorType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.19.1 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.